Bug 261001 - Better feedback from yum when RPM not found/already installed
Better feedback from yum when RPM not found/already installed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-28 13:07 EDT by Christopher Beland
Modified: 2014-01-21 17:59 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.2.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 15:56:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-08-28 13:07:39 EDT
yum-3.2.2-1.fc7

If I run "yum install asdf" (intentionally an invalid package name) I
get the output:

> Setting up Install Process
> Parsing package install arguments
> Nothing to do

If I run "yum install firefox" (a package which is already installed)
I get the output:

> Setting up Install Process
> Parsing package install arguments
> Nothing to do

I would expect feedback in both cases, telling me either that the
named package was not available in the configured repositories, or
that the named package was already installed.
Comment 1 Jeremy Katz 2007-09-13 15:12:13 EDT
Output should be more obvious in yum 3.2.5
Comment 2 Christopher Beland 2007-09-13 15:29:39 EDT
For the second case, I do get an additional line with yum-3.2.5-1.fc7:

> Package firefox - 2.0.0.5-1.fc7.i386 is already installed.

But the output for the first case is still the same.
Comment 3 Jeremy Katz 2007-09-13 15:56:30 EDT
Whoops, missed that one.  Fixed up for 3.2.6.  Thanks for the quick turnaround
on testing.
Comment 4 Christopher Beland 2007-09-14 12:47:07 EDT
No problem, thanks for the quick fixes.
Comment 5 Christopher Beland 2008-06-28 22:39:05 EDT
Confirmed that all feedback is working as of yum-3.2.16-2.fc9.noarch.

Note You need to log in before you can comment on or make changes to this bug.